Module | Sequel::Plugins::PgTypecastOnLoad::InstanceMethods
In: | lib/sequel/plugins/pg_typecast_on_load.rb

### Methods

set_values

### Public Instance methods

set_values(values)

Lookup the conversion proc for the column‘s oid in the Database object, and use it to convert the value.

[Source]

        # File lib/sequel/plugins/pg_typecast_on_load.rb, line 54
    54:         def set_values(values)
    55:           model.pg_typecast_on_load_columns.each do |c|
    56:             if (v = values[c]).is_a?(String) && (oid = db_schema[c][:oid])
    57:               values[c] = db.conversion_procs[oid].call(v)
    58:             end
    59:           end
    60:           super
    61:         end

[Validate]